function R=issdd(A)
% check if matrices of A are a strictly diagonally dominant.
% A  N-by-d-by-d amat
% R is a logical N-by-1-by-1 amat
  assert( isamat(A) );
  assert( A.nc==A.nr )
  R= all( 2*sum(abs(diag(double(A))),2) - sum(abs(double(A)),2) >0, 1); % convert to double: abs doesn't work with complex integer
end
