function ploteltsNumber(self,varargin)
  if self.d>3, error('Unable to plot in dimension > 3!');end
  varargin=fc_tools.utils.replaceValueOfCellOptions(varargin,{'BackgroundColor','EdgeColor','Color','vLineColor'},'element',self.color);
  p = inputParser;
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('BackgroundColor','none');
  p.addParamValue('EdgeColor','none');
  p.addParamValue('Color',self.color);
  p.addParamValue('vLineColor',''); % Lines vertices to barycenter
  p.parse(varargin{:});
  R=p.Results;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  ColorOptions={'BackgroundColor',R.BackgroundColor,'EdgeColor',R.EdgeColor,'Color',R.Color,'vLineColor',R.vLineColor};
  fc_hypermesh.graphics.plotElementsNumber(self.q,self.me,'m',self.m,'order',self.order,'type',self.stype,varargin{:},ColorOptions{:})
end
