function pmfile=buildpartmesh2d(inputfile,np,varargin)
% FUNCTION fc_oogmsh.gmsh.buildpartmesh2d
%   Builds gmsh 2D partitioned mesh file from a mesh file or a .geo file.
%
% USAGE:
%   pmfile=fc_oogmsh.gmsh.buildpartmesh2d(inputfile,np)
%   pmfile=fc_oogmsh.gmsh.buildpartmesh2d(inputfile,np,key,value)
%
%   See fc_oogmsh.gmsh.buildpartmesh
%
% SAMPLES:
%
% Copyright (C) 2017-2023 F. Cuvelier
  pmfile=fc_oogmsh.gmsh.buildpartmesh(inputfile,np,'d',2,varargin{:});
end
