function plotElementaryElements(oGh,varargin)
  assert(strcmp(class(oGh),'fc_oogmsh.ooGmsh4'),'First parameter must be a <fc_oogmsh.ooGmsh4> object.\b  -> 1st parameter is a %s object\n',class(oGh))
  if ~fc_oogmsh.isgraphics(), return;end
  p = inputParser;
  p.addParameter('entityDim',oGh.d:-1:0);
  p.addParameter('verbose',false);
  p.parse(varargin{:});
  verbose=p.Results.verbose;
  if verbose,fprintf('*** Elementary Elements\n');end
  for entityDim=p.Results.entityDim
    if verbose,fprintf('  EntityDim = %d\n',entityDim);end
    fc_oogmsh.graphics.ooGmsh4.plotElementaryElementsDim(oGh,entityDim,'verbose',verbose)
  end
end
