function S=gitinfo()
% FUNCTION fc_oogmsh.gitinfo(): returns some informations on the package/toolbox.
%
%    Copyright (C) 2017-2023 F. Cuvelier
%
  S=struct('name','fc-oogmsh', 'tag','0.3.0.a','commit','9e26c408792500dd34c5f2d90df7cc8fcc20cbbb','date', '2023-03-05','time','06-36-30','status',0);return; % automatically updated
  rep=fc_oogmsh.path();
  if fc_tools.git.isrepository(rep)
    S=struct('name',  fc_tools.git.get_name(rep), ...
             'tag',   fc_tools.git.get_tag(rep), ...
             'commit',fc_tools.git.get_commit(rep), ...
             'date',  fc_tools.git.get_date(rep), ...
             'time',  fc_tools.git.get_time(rep), ...
             'status',fc_tools.git.isup2date(rep));
  else
    tag='';
    commit='';
    strdate='';
    strtime='';
    S=struct('name','fc-oogmsh','tag',tag,'commit',commit,'date',strdate,'time',strtime,'status',-1);
  end
end
