DefineConstant[
  N = {10, Name "Parameters/Refinement Number"},
  R = {1, Name "Parameters/R "},
  rc = {0.2, Name "Parameters/rc "}
];

SetFactory("OpenCASCADE");

N=(N>=1 ? N : 1);
Mesh.Algorithm = 6;
Mesh.CharacteristicLengthMin = 2*Pi*rc/N;
Mesh.CharacteristicLengthMax = 2*Pi*rc/N;
h=2*Pi*rc/N;

Mesh.MinimumCircleNodes=4; // default 7

Disk(1) = {0, 0, 0, R, R};

Disk(2) = {0, 0, 0, rc, rc};

BooleanDifference(20) = { Surface{1}; Delete; }{ Surface{2};Delete; };



