DefineConstant[
  N = {10, Name "Parameters/0Refinement Number"},
  R = {1, Name "Parameters/1R "},
  Algorithm ={6, Name "Parameters/2Mesh.Algorithm "},
  C = {1, Name "Parameters/1C "}
];

SetFactory("OpenCASCADE");

N=(N>=1 ? N : 1);
Mesh.Algorithm = Algorithm;
Mesh.CharacteristicLengthMin = 2*Pi*R/N;
Mesh.CharacteristicLengthMax = 2*C*Pi*R/N;
Mesh.MinimumCircleNodes=4; // default 7

Disk(1) = {0, 0, 0, R, R};



