DefineConstant[
  N = {10, Name "Parameters/0Refinement Number"},
  Rx = {1, Name "Parameters/1Rx "},
  Ry = {1, Name "Parameters/1Ry "},
  Algorithm ={6, Name "Parameters/2Mesh.Algorithm "},
  C = {1, Name "Parameters/1C "}
];

SetFactory("OpenCASCADE");

R=(Rx>Ry?Ry:Rx);
N=(N>=1 ? N : 1);
Mesh.Algorithm = Algorithm;
Mesh.CharacteristicLengthMin = 2*Pi*R/N;
Mesh.CharacteristicLengthMax = 2*C*Pi*R/N;
Mesh.MinimumCircleNodes=4; // default 7

Disk(1) = {0, 0, 0, Rx, Ry};
