function varargout=mobius3D(varargin)
  fprintf('************************************\n')
  fprintf('  Running %s function\n',mfilename())
  fprintf('************************************\n')
  close all% :start:
  Th=fc_simesh.mobius(30); % :start:
  figure(1)
  Th.plotmesh('FaceColor','LightGray','EdgeColor','DarkGray')
  hold on
  Th.plotmesh('d',1,'inlegend',true,'LineWidth',2)
  axis equal;axis off;
  fc_graphics4mesh.legend('Location','northeast')
  light
  
  Th=fc_simesh.mobius(100);
  figure(2)
  Th.plotmesh('FaceColor','LightGray','EdgeColor','None')
  hold on
  Th.plotmesh('d',1,'color','k','LineWidth',2)
  axis equal;axis off;
  light
  
  Th=fc_simesh.mobius([10,90],'k',3,'radius',3,'width',1);
  figure(3)
  Th.plotmesh('FaceColor','LightGray','EdgeColor','DarkGray')
  hold on
  Th.plotmesh('d',1,'inlegend',true,'LineWidth',2)
  axis equal;axis off;
  fc_graphics4mesh.legend('Location','northeast')
  
  Th=fc_simesh.mobius([20,180],'k',3,'radius',3,'width',1);
  figure(4)
  Th.plotmesh('FaceColor','LightGray','EdgeColor','None')
  hold on
  Th.plotmesh('d',1,'color','k','LineWidth',2)
  axis equal;axis off;
  light
   % :end:
  fc_tools.graphics.monitors.autoGrid('covers',0.9);
  if nargout==1,varargout{1}=Th;end
end  
