function varargout=plotmesh2D(varargin)
  close all % :start:
  meshfile=fc_oogmsh.gmsh.buildmesh2d('condenser11',20,varargin{:});
  Th=fc_simesh.siMesh(meshfile);
  fc_tools.graphics.monitors.onGrid(2,2);
  figure(1)
  Th.plotmesh();
  axis image

  figure(2)
  Th.plotmesh('color','LightGray')
  hold on;axis image;axis off
  Th.plotmesh('d',1,'Linewidth',2,'inlegend',true);
  fc_graphics4mesh.legend('Location','eastoutside')

  figure(3)
  Th.plotmesh('inlegend',true);
  axis image
  fc_graphics4mesh.legend('Location','eastoutside')

  figure(4)
  Th.plotmesh('color','LightGray','labels',10)
  hold on;axis image;axis off
  Th.plotmesh('fill',true,'labels',[2:2:8,20],'inlegend',true)
  Th.plotmesh('d',1,'Linewidth',2,'inlegend',true,'labels',[1:8,20]);
  Th.plotmesh('d',1,'Linewidth',2,'color','k','labels',[101:104]);
  fc_graphics4mesh.legend('Location','eastoutside')
  fc_tools.graphics.monitors.autoGrid()% :end:
  if nargout==1,varargout{1}=Th;end
end

