function BoundaryNormals(Th)
  idx_parents=Th.find(Th.d);
  idx=Th.find(Th.d-1);
  for k=idx
     Th.sTh{k}.normals=BoundaryNormalsLoc(Th,k);
     if isnan(norm(Th.sTh{k}.normals,Inf))
       keyboard
     end
  end
end


function N=BoundaryNormalsLoc(Th,k)
  % voir /home/cuvelier/Travail/Recherch/Matlab/mooVecFEM/debugFindNormals04.m
  edgeidx=nchoosek(1:Th.d+1,Th.d);
  sTh=Th.sTh{k};
%   if sTh.geolab==-26
%   keyboard
%   end
  
  BE=sort(reshape(sTh.toGlobal(sTh.me),size(sTh.me)),1); % reshape to correct big if one element
  %if sTh.nme==1, BE=BE';end
  N=zeros(sTh.nme,Th.dim); % Normal to edges
  idx_parents=Th.find(Th.d);
  for i=idx_parents
      me=Th.sTh{i}.toGlobal(Th.sTh{i}.me);
      gradBaCo=Th.sTh{i}.gradBaCo;
      for j=1:size(edgeidx,1)
        idop=setdiff(1:Th.d+1,edgeidx(j,:));
        me_edge=sort(me(edgeidx(j,:),:),1);
        [~,IA,IB]=intersect(me_edge',BE','rows');
        N(IB,:)=squeeze(gradBaCo(IA,idop,:));
      end  
  end

  % <=
  M=N;
  N=-N';
  N=N./sqrt(sum(N.^2,1));
  if isnan(norm(N,Inf))
       keyboard
     end
end
