function varargout=plotnodes(Th,varargin)
  assert(fc_simesh.is_siMesh(Th))
  %default_PlotOptions={'Marker','.','MarkerSize',6};
  p = inputParser; 
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('d',Th.d,@isscalar);
  p.addParamValue('labels',[]); % select labels to draw
  p.addParamValue('color',[]);
  %p.addParamValue('PlotOptions',{},@iscell);
  p.parse(varargin{:});
  R=p.Results;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  %PlotOptions={default_PlotOptions{:},R.PlotOptions{:}};
  if isempty(R.labels), idxlab=Th.find(R.d);else idxlab=Th.find(R.d,R.labels);end
  if isempty(idxlab), return;end
  i=1;
  hfig=gcf();
  PrevHold=fc_tools.graphics.SetHoldOn(true);
  for ilab=[idxlab]
    if isempty(R.color), color=Th.sTh{ilab}.color;end
    %h(i)=plotVertices(Th.sTh{ilab},'color',color,default_PlotOptions{:},varargin{:});
    h(i)=plotnodes(Th.sTh{ilab},'color',color,varargin{:});
    i=i+1;
  end
  fc_tools.graphics.RestoreHold(PrevHold)
  if nargout==1, varargout{1}=h;end
  %figure(hfig); %-> si figure a 'visible','off' alors la rend visible
end
