function varargout=plotnodesidx(Th,varargin)
  assert(fc_simesh.is_siMesh(Th))
  default_PlotOptions={'BackgroundColor','w','margin',1};
  p = inputParser; 
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('d',Th.d,@isscalar);
  p.addParamValue('labels',[]); % select labels to draw
  p.addParamValue('color',[]);
  %p.addParamValue('Global',false,@islogical);
  %p.addParamValue('PlotOptions',{},@iscell);
  p.parse(varargin{:});
  R=p.Results;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  %PlotOptions={default_PlotOptions{:},R.PlotOptions{:}};
  if isempty(R.labels), idxlab=Th.find(R.d);else idxlab=Th.find(R.d,R.labels);end
  if isempty(idxlab), return;end
  i=1;Color=R.color;
  hfig=gcf();
  PrevHold=fc_tools.graphics.SetHoldOn(true);
  leg=cell(length(idxlab),1);h=zeros(length(idxlab),1);
  for ilab=[idxlab]
    if isempty(R.color), Color=Th.sTh{ilab}.color;end
    %[hl,leg{i}]=plotnodesidx(Th.sTh{ilab},'Global',R.Global,'color',Color,'EdgeColor',Color,default_PlotOptions{:},varargin{:});
    [hl,leg{i}]=plotnodesidx(Th.sTh{ilab},'color',Color,'EdgeColor',Color,default_PlotOptions{:},varargin{:});
    h(i)=hl(1);
    i=i+1;
  end
  fc_tools.graphics.RestoreHold(PrevHold)
  if nargout>=1, varargout{1}=h;end
  if nargout==2, varargout{2}=leg;end
  %figure(hfig); %-> si figure a 'visible','off' alors la rend visible
end
