function [names,rgbs]=find_nearest_colors(rgb,theme,n)
  lab_color = fc_tools.graphics.rgb2lab(rgb);
  [names,rgbs]=fc_tools.graphics.xcolor.get_from_theme(theme);
  Lab = fc_tools.graphics.rgb2lab(rgbs);
  dist=sum((Lab-lab_color).^2,2);
  [sdist,idx]=sort(dist);

  names={names{idx(1:n)}};
  rgbs=rgbs(idx(1:n),:);
end
