function S=gitinfo()
% FUNCTION fc_bench.gitinfo(): returns some informations on the package/toolbox.
%
%    Copyright (C) 2017-2023 F. Cuvelier
%
  S=struct('name','fc-tools', 'tag','0.0.35','commit','1469d4cbac235c83155cf9195d9887e0a149177a','date', '2023-03-03','time','13-50-59','status',0);return; % automatically updated
  rep=fc_tools.path();
  if fc_tools.git.isrepository(rep)
    S=struct('name',  fc_tools.git.get_name(rep), ...
             'tag',   fc_tools.git.get_tag(rep), ...
             'commit',fc_tools.git.get_commit(rep), ...
             'date',  fc_tools.git.get_date(rep), ...
             'time',  fc_tools.git.get_time(rep), ...
             'status',fc_tools.git.isup2date(rep));
  else
    tag='';
    commit='';
    strdate='';
    strtime='';
    S=struct('name','fc-tools','tag',tag,'commit',commit,'date',strdate,'time',strtime,'status',-1);
  end
end
