function D=detLapIdx(A,varargin)
% A : N-by-d-by-d
% D : N-by-1
% D(i) = det A(i,:,:)
% Vectorized version using Laplace expansion
  [N,d,n]=size(A);
  assert( d==n )
  D=amat(fc_amat.detLapIdx_values(A.values));
  
end 
