function legendremove(fig)
  if ~fc_tools.comp.isOctave() % Matlab
    if nargin==0,fig=gcf();end
    assert( strcmp(class(fig),'matlab.ui.Figure') )
    %obj=findobj(fig,'Tag','remove'); % findobj(gcf,'-property','Annotation')
    %obj=findobj(fig,'DisplayName','remove'); % 
    obj=findobj(fig,'-property','Annotation');  % OK with Matlab R2022a
    for i=1:length(obj)
      if isempty(obj(i).DisplayName) || strcmp(obj(i).DisplayName,'remove') % or obj(i).Tag
        hAnnotation = get(obj(i),'Annotation');
        hLegendEntry = get(hAnnotation,'LegendInformation');
        set(hLegendEntry,'IconDisplayStyle','off')
      end
    end
  end
end
