function meshfile=buildmesh3d(geofile,N,varargin)
% FUNCTION fc_oogmsh.gmsh.buildmesh3d
%   Builds a 3D gmsh mesh file from .geo file
%
% USAGE:
%   meshfile=fc_oogmsh.gmsh.buildmesh3d(geofile,N)
%   meshfile=fc_oogmsh.gmsh.buildmesh3d(geofile,N,key,value)
%   
%   See fc_oogmsh.gmsh.buildmesh
%
% Copyright (C) 2017-2023 F. Cuvelier
  meshfile=fc_oogmsh.gmsh.buildmesh(geofile,N,'d',3,varargin{:});
end
