function [status,result]=checkmesh(meshfile)
% FUNCTION fc_oogmsh.gmsh.checkmesh
%   Checks gmsh file.
%
% USAGE:
%   [status,result]=checkmesh(meshfile)
%
% Copyright (C) 2017-2023 F. Cuvelier
  gmsh_exe=fc_oogmsh.gmsh.command();
  gmsh_cmd=sprintf('%s -check %s ',gmsh_exe,meshfile);
  [status,result]=system(gmsh_cmd);
  if status~=0, warning(result);end
end
