DefineConstant[
  N = {10, Min 4, Max 10000, Step 1, Name "Parameters/Refinement Number"},
  Lx = {1, Name "Parameters/Lx "},
  Ly = {1, Name "Parameters/Ly "},
  x = {0, Name "Parameters/x "},
  y = {0, Name "Parameters/y "}
];

SetFactory("OpenCASCADE");

h=(Lx>Ly?Ly:Lx);
Mesh.Algorithm = 5;
Mesh.CharacteristicLengthMin = h/N;
Mesh.CharacteristicLengthMax = 2*h/N;
Mesh.MeshSizeFromPoints=0; //default 1

Rectangle(1) = {x, y, 0, Lx, Ly,0};
