function varargout=plotmesh3Ds(varargin)
  close all % :start:
  meshfile=fc_oogmsh.buildmesh3ds('demisphere5',10,varargin{:});
  Th=fc_simesh.siMesh(meshfile);
  fc_tools.graphics.monitors.onGrid(2,2);
  figure(1)
  Th.plotmesh('inlegend',true)
  axis off;axis equal;
  fc_graphics4mesh.legend()
  
  figure(2)
  Th.plotmesh('EdgeColor','LightGray', 'EdgeAlpha',0.4,'FaceColor','none')
  view(3);hold on;axis off;axis equal
  Th.plotmesh('d',1,'inlegend',true,'LineWidth',2)
  fc_graphics4mesh.legend()
  set(legend(),'Location','NorthEastOutside','FontSize',12)
  
  figure(3)
  Th.plotmesh('labels',[1,10,11,12],'EdgeColor','none','inlegend',true)
  fc_graphics4mesh.legend('Location','NorthEastOutside','FontSize',12)
  axis off;axis equal
  
  figure(4)
  Th.plotmesh('EdgeColor',0.9*[1,1,1], 'EdgeAlpha',0.4,'FaceColor','none')
  hold on;axis off;axis equal
  Th.plotmesh('d',1,'color','k')
  Th.plotmesh('d',0,'inlegend',true)
  fc_graphics4mesh.legend('Location','NorthEastOutside','FontSize',12)
   % :end:
  if nargout==1,varargout{1}=Th;end
end
