function self=readgmsh(gmsh_file,dim,d,isPhysLabel)
%    p = inputParser; 
%    p=AddParamValue(p,'dim', 2, @isfloat ); % default - dim=-1 has
%                                         ;   % no effect
%    p=AddParamValue(p,'PhysLabel', true, @islogical ); % Physical Label or Geometrical Label                                          
%    p=Parse(p,varargin{:});
%    dim=p.Results.dim;
%    isPL=p.Results.PhysLabel;
  MeshFormat=fc_oogmsh.msh.read_MeshFormat(gmsh_file);
  switch MeshFormat.version
  case '2.2'
    self=fc_simesh.read.readgmsh2_2(gmsh_file,dim,d,isPhysLabel);
  case {'4','4.0','4.1'}
    self=fc_simesh.read.readgmsh4_1(gmsh_file,dim,d,isPhysLabel);
  otherwise
    error(' MSH format %s not allowed',MeshFormat.version)
  end
end
