function varargout=plotmesh2D(varargin)
  close all % :start:
  meshfile=fc_oogmsh.gmsh.buildmesh2d('condenser11',20,varargin{:});
  Th=fc_simesh.siMesh(meshfile);
  fc_tools.graphics.monitors.onGrid(2,2);
  figure(1)
  fc_siplt.plotmesh(Th);
  axis image

  figure(2)
  fc_siplt.plotmesh(Th,'color','LightGray')
  hold on;axis image;axis off
  fc_siplt.plotmesh(Th,'d',1,'Linewidth',2,'inlegend',true);
  fc_graphics4mesh.legend('Location','eastoutside')

  figure(3)
  fc_siplt.plotmesh(Th,'inlegend',true);
  axis image
  fc_graphics4mesh.legend('Location','eastoutside')

  figure(4)
  fc_siplt.plotmesh(Th,'color','LightGray','labels',10)
  hold on;axis image;axis off
  fc_siplt.plotmesh(Th,'fill',true,'labels',[2:2:8,20],'inlegend',true)
  fc_siplt.plotmesh(Th,'d',1,'Linewidth',2,'inlegend',true,'labels',[1:8,20]);
  fc_siplt.plotmesh(Th,'d',1,'Linewidth',2,'color','k','labels',[101:104]);
  fc_graphics4mesh.legend('Location','eastoutside')% :end:
  if nargout==1,varargout{1}=Th;end
end

