function S=gitinfo()
% FUNCTION fc_bench.gitinfo(): returns some informations on the package/toolbox.
%
%    Copyright (C) 2017-2023 F. Cuvelier
%
  S=struct('name','fc-siplt', 'tag','0.2.6','commit','225d8579179b60686b16f116bee8ac4dc858e2d6','date', '2023-03-05','time','17-00-59','status',0);return; % automatically updated
  rep=fc_siplt.path();
  if fc_tools.git.isrepository(rep)
    S=struct('name',  fc_tools.git.get_name(rep), ...
             'tag',   fc_tools.git.get_tag(rep), ...
             'commit',fc_tools.git.get_commit(rep), ...
             'date',  fc_tools.git.get_date(rep), ...
             'time',  fc_tools.git.get_time(rep), ...
             'status',fc_tools.git.isup2date(rep));
  else
    tag='';
    commit='';
    strdate='';
    strtime='';
    S=struct('name','fc-siplt','tag',tag,'commit',commit,'date',strdate,'time',strtime,'status',-1);
  end
end
