function varargout=plotelementsidx(Th,varargin)
   assert(fc_simesh.is_siMesh(Th))
  p = inputParser; 
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('d',Th.d,@isscalar);
  p.addParamValue('labels',[]); % select labels to draw
  p.addParamValue('color',[]);
  p.addParamValue('edgecolor',[]);
  p.parse(varargin{:});
  R=p.Results;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  if isempty(R.labels), idxlab=Th.find(R.d);else idxlab=Th.find(R.d,R.labels);end
  if isempty(idxlab), return;end
  i=1;Color=R.color;EdgeColor=R.edgecolor;
  hfig=gcf();
  PrevHold=fc_tools.graphics.SetHoldOn(true);
  leg=cell(length(idxlab),1);h=zeros(length(idxlab),1);
  for ilab=[idxlab]
    if isempty(R.color), Color=Th.sTh{ilab}.color;end
    if isempty(R.edgecolor), EdgeColor=Th.sTh{ilab}.color;end
    hl=Th.sTh{ilab}.plotelementsidx('color',Color,'EdgeColor',EdgeColor,varargin{:});
    %[hl,leg{i}]=plotElementsNumber(Th.sTh{ilab},'color',Color,'EdgeColor',Color,varargin{:});
    h(i)=hl(1);
    i=i+1;
  end
  fc_tools.graphics.RestoreHold(PrevHold)
  if nargout==0, return;end
  if nargout>=1, varargout{1}=h;end
  if nargout==2, varargout{2}=leg;end
  figure(hfig);
end
