function p=AddParamValue(p,varargin)
% FUNCTION p=fc_tools.comp.AddParamValue(p,varargin)
%   Alternative function for addParamValue - Suitable for Matlab and any 
%   Octave version.
%   Adds a name-value argument to the input scheme.
%
% Input and output parameter:
% p : inputParser object
%
% Copyright (C) 2017-2023 F. Cuvelier
  if isOldParser()
      p=p.addParamValue(varargin{:});
  else
      p.addParamValue(varargin{:});
  end
end